## live-manual 2.0~a2

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = en de

all: test build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@#xmllint --nonet --noout --postvalid --xinclude manual/en/index.xml || true

	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

tidy:
	for FILE in manual/en/*.xml manual/en/*/*.xml xsl/*.xsl; \
	do \
		sed -i -e 's|^[ \t]*||' -e 's|[ \t]*$$||' $${FILE}; \
		echo `cat $${FILE}` > $${FILE}.tmp; \
		xmllint --format --noblanks --output $${FILE} $${FILE}.tmp; \
		rm -f $${FILE}.tmp; \
	done

build:
	mkdir -p build

	for LANGUAGE in $(LANGUAGES); \
	do \
		cp -a $(CURDIR)/manual/$${LANGUAGE} $(CURDIR)/build; \
		mkdir -p $(CURDIR)/build/$${LANGUAGE}/html; \
		cd $(CURDIR)/build/$${LANGUAGE}/html; \
		xsltproc --nonet --novalid --xinclude $(CURDIR)/xsl/html.xsl ../index.xml; \
		mkdir -p $(CURDIR)/build/$${LANGUAGE}/html-single; \
		cd $(CURDIR)/build/$${LANGUAGE}/html-single; \
		xsltproc --nonet --novalid --xinclude $(CURDIR)/xsl/html-single.xsl ../index.xml; \
		mv $(CURDIR)/build/$${LANGUAGE}/html-single/index.html $(CURDIR)/build/$${LANGUAGE}/html-single/live-manual.html; \
		mkdir -p $(CURDIR)/build/$${LANGUAGE}/txt; \
		cd $(CURDIR)/build/$${LANGUAGE}/txt; \
		xsltproc --nonet --novalid --xinclude $(CURDIR)/xsl/txt.xsl ../index.xml | w3m -cols 65 -dump -T text/html > live-manual.txt; \
		mkdir -p $(CURDIR)/build/$${LANGUAGE}/pdf; \
		cd $(CURDIR)/build/$${LANGUAGE}/pdf; \
		dblatex --style=db2latex ../index.xml -o live-manual.pdf; \
	done

autobuild: clean build
	rm -f build/*/*.xml
	cp html/* build

	for LANGUAGE in $(LANGUAGES); \
	do \
		cp html/* build/$${LANGUAGE}; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|^ *||g')|" \
		build/$${LANGUAGE}/index.html.in > build/$${LANGUAGE}/index.html; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "Please fix fuzzy in manual/po/* first."; \
		exit 1; \
	fi

	@echo
	@echo "Successful... please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -a -m \"Your commit message.\""
	@echo "  * git push"

install:

	for LANGUAGE in $(LANGUAGES); \
	do \
		mkdir -p $(DESTDIR)/usr/share/doc/live-manual/$${LANGUAGE}; \
		cp -a build/$${LANGUAGE}/html build/$${LANGUAGE}/html-single/* build/$${LANGUAGE}/pdf/* build/$${LANGUAGE}/txt/* $(DESTDIR)/usr/share/doc/live-manual/$${LANGUAGE}; \
	done

	ln -s en/html $(DESTDIR)/usr/share/doc/live-manual/html
	ln -s en/live-manual.html $(DESTDIR)/usr/share/doc/live-manual/live-manual.html
	ln -s en/live-manual.pdf.gz $(DESTDIR)/usr/share/doc/live-manual/live-manual.pdf.gz
	ln -s en/live-manual.txt.gz $(DESTDIR)/usr/share/doc/live-manual/live-manual.txt.gz

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf build

distclean: clean

rebuild: distclean build

.PHONY: build

=== manual/Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for FILE in en/*.xml; \
	do \
		echo "[type: docbook] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
	done

	for FILE in en/*/*.xml; \
	do \
		echo "[type: docbook] $${FILE} \$$lang:\$$lang/$$(basename $$(dirname $${FILE}))/$$(basename $${FILE})" >> po4a.cfg; \
	done

	echo "[type: xhtml] en/index.html.in \$$lang:\$$lang/index.html.in" >> po4a.cfg

update:
	@./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
		echo "I: On Debian systems, po4a can be installed with 'apt-get install po4a'."; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-manual po4a.cfg

clean:
	rm -f po/*/*.po~

distclean: clean
	rm -f po4a.cfg
	rm -rf $(LANGUAGES)

rebuild: distclean update build

## live-manual 2.0~a12

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = en $(shell cd manual/po && ls)

all: test build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

#FIXME: do a proper dependency-based build
#FORMATS = epub html odf pdf txt
#...
#%.pdf: $(sisu_sources)
#	sisu-pdf -v live-manual.ssm
#etc.

build:
	@# FIXME: sisu-concordance sisu-pg sisu-sqlite
	for LANGUAGE in $(LANGUAGES); \
	do \
		cd $(CURDIR)/manual/$${LANGUAGE}; \
		sisu-epub -v live-manual.ssm; \
		sisu-html -v live-manual.ssm; \
		sisu-odf -v live-manual.ssm; \
		sisu-pdf -v live-manual.ssm; \
		sisu-txt -v live-manual.ssm; \
	done

autobuild: clean build
	rm -rf build
	cp -a html build

	for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}/build/$${LANGUAGE}; \
		TODIR=$(CURDIR)/build/$${LANGUAGE}; \
		mkdir -p $${TODIR}; \
		cd $${TODIR}; \
		mkdir -p epub; \
		cp $${FROMDIR}/epub/live-manual.epub epub; \
		mkdir -p html; \
		cp $${FROMDIR}/live-manual/*.html html; \
		mv html/doc.html html/live-manual.html; \
		cp -a $${FROMDIR}/_sisu .; \
		rm -f html/toc.html html/sisu_manifest.html html/metadata.html; \
		mkdir -p odf; \
		cp $${FROMDIR}/live-manual/opendocument.odt odf/live-manual.odt; \
		mkdir -p pdf; \
		cp $${FROMDIR}/live-manual/landscape.a4.pdf pdf/live-manual.landscape-a4.pdf; \
		cp $${FROMDIR}/live-manual/portrait.a4.pdf pdf/live-manual.portrait-a4.pdf; \
		cp $${FROMDIR}/live-manual/landscape.letter.pdf pdf/live-manual.landscape-letter.pdf; \
		cp $${FROMDIR}/live-manual/portrait.letter.pdf pdf/live-manual.portrait-letter.pdf; \
		mkdir -p txt; \
		cp $${FROMDIR}/live-manual/plain.txt txt/live-manual.txt; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		    $${FROMDIR}/../../index.html.in > index.html; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "Please fix fuzzy in manual/po/* first."; \
		exit 1; \
	fi

	@echo
	@echo "Successful... please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -a -m \"Your commit message.\""
	@echo "  * git push"

install:

	for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}/build/$${LANGUAGE}; \
		TODIR=$(DESTDIR)/usr/share/doc/live-manual; \
		mkdir -p $${TODIR}; \
		cd $${TODIR}; \
		mkdir -p epub; \
		cp $${FROMDIR}/epub/live-manual.epub epub/live-manual.$${LANGUAGE}.epub; \
		mkdir -p html/$${LANGUAGE}; \
		cp $${FROMDIR}/live-manual/*.html html/$${LANGUAGE}; \
		mv html/$${LANGUAGE}/doc.html html/live-manual.$${LANGUAGE}.html; \
		rm -f html/$${LANGUAGE}/toc.html html/$${LANGUAGE}/sisu_manifest.html html/$${LANGUAGE}/metadata.html; \
		mkdir -p odf; \
		cp $${FROMDIR}/live-manual/opendocument.odt odf/live-manual.$${LANGUAGE}.odt; \
		mkdir -p txt; \
		cp $${FROMDIR}/live-manual/plain.txt txt/live-manual.$${LANGUAGE}.txt; \
		mkdir -p pdf; \
		cp $${FROMDIR}/live-manual/landscape.a4.pdf pdf/live-manual.landscape-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.a4.pdf pdf/live-manual.portrait-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/landscape.letter.pdf pdf/live-manual.landscape-letter.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.letter.pdf pdf/live-manual.portrait-letter.$${LANGUAGE}.pdf; \
	done

	cp -a manual/en/build/en/_sisu $(DESTDIR)/usr/share/doc/live-manual

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf manual/*/build

distclean: clean
	rm -rf build

rebuild: distclean build

=== manual/Makefile ===
--- 
+++ 
@@ -10,14 +10,9 @@
 	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
 	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg
 
-	for FILE in en/*.xml; \
+	for FILE in en/*.ssm en/*.ssi; \
 	do \
-		echo "[type: docbook] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
-	done
-
-	for FILE in en/*/*.xml; \
-	do \
-		echo "[type: docbook] $${FILE} \$$lang:\$$lang/$$(basename $$(dirname $${FILE}))/$$(basename $${FILE})" >> po4a.cfg; \
+		echo "[type: text] $${FILE} \$$lang:\$$lang/$$(basename $${FILE})" >> po4a.cfg; \
 	done
 
 	echo "[type: xhtml] en/index.html.in \$$lang:\$$lang/index.html.in" >> po4a.cfg
@@ -36,6 +31,11 @@
 
 	po4a --keep 0 --no-backups --package-name live-manual po4a.cfg
 
+	for LANGUAGE in $(LANGUAGES); \
+	do \
+		cp -a en/_sisu $${LANGUAGE}; \
+	done
+
 clean:
 	rm -f po/*/*.po~

## live-manual 2.0.1

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 SHELL := sh -e
 
 LANGUAGES = en $(shell cd manual/po && ls)
+
+DEBUG = 0
 
 all: test build
 
@@ -31,6 +33,11 @@
 		cd $(CURDIR)/manual/$${LANGUAGE}; \
 		sisu-epub -v live-manual.ssm; \
 		sisu-html -v live-manual.ssm; \
+		for FILE in build/$${LANGUAGE}/live-manual/*.html; \
+		do \
+			../bin/fix-sisu-html.rb $${FILE}; \
+			([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
+		done; \
 		sisu-odf -v live-manual.ssm; \
 		sisu-pdf -v live-manual.ssm; \
 		sisu-txt -v live-manual.ssm; \

=== manual/Makefile ===
--- 
+++ 
@@ -3,6 +3,17 @@
 SHELL := sh -e
 
 LANGUAGES = $(shell cd po && ls)
+
+DEBUG=0
+PO4A_FLAGS=
+
+ifeq ($(DEBUG),1)
+    PO4A_FLAGS=-d
+endif
+
+ifeq ($(DEBUG),2)
+    PO4A_FLAGS=-d -v
+endif
 
 all: build
 
@@ -29,7 +40,7 @@
 		exit 1; \
 	fi
 
-	po4a --keep 0 --no-backups --package-name live-manual po4a.cfg
+	po4a --keep 0 --no-backups --package-name live-manual $(PO4A_FLAGS) po4a.cfg
 
 	for LANGUAGE in $(LANGUAGES); \
 	do \

## live-manual 3.0~a2

=== debian/changelog ===
live-manual (1:3.0~a2-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Removing misleading dosfslabel example in persistency chapter.

  [ José Luis Zabalza ]
  * Translating user_managing_a_configuration to ES
  * Fixing translate policy and 56/58 sentence
  * Translating user_customization-overview to ES

  [ Ben Armstrong ]
  * Clarify in About Manual the sections that pertain to end-users.

  [ José Luis Zabalza ]
  * Translating user_customization-installer.ssi.po to ES
  * Translating user_customization-installer.ssi.po to ES

  [ chals ]
  * Translating project_coding-style, project_bugs and live-manual to
    Spanish
  * Translating project-procedures.ssi.po into Spanish
  * Translating user-installation.ssi.po into Spanish
  * Translating user_customization-binary.ssi.po

  [ José Luis Zabalza ]
  * translating user_customization-contents.ssi.po to ES
  * translating user_customization-contents.ssi.po to ES

  [ skizzhg ]
  * Updating about_manual.ssi.po, italian translation.

  [ chals ]
  * Translating user_overview.ssi.po into Spanish

  [ José Luis Zabalza ]
  * translating user_customization-packages.ssi.po to ES
  * translating user_customization-packages.ssi.po to ES
  * Fixing live-manual.ssm.po

  [ chals ]
  * Translating user-customization-runtime.ssi.po into Spanish
  * Translating user_basics.ssi into Spanish

  [ Ben Armstrong ]
  * Fixing incorrect use of 'source' command as the verb of a sentence.

  [ José Luis Zabalza ]
  * Fixing (review) about_manual and user-overview
  * revert update-version modify

  [ Ben Armstrong ]
  * Fixing incorrect usage of whole device instead of partition to
    reclaim remaining space on USB stick (thanks to Javier Barroso).

  [ José Luis Zabalza ]
  * Fixing (review) user_basics ES
  * Fixing (review) spanish user_customization-binary, live-manual,
    index.html user_customization-overview
  * Fixing (review) spanish project_coding-style
  * Fixing (review) spanish project_coding-style (mark as reviewed)
  * Fixing (review) spanish project_procedures.ssi.po and
    user_installation.ssi.po

  [ chals ]
  * Translating user_examples.ssi.po into Spanish

  [ José Luis Zabalza ]
  * Fixing (finish) about_project.ssi.po
  * Fixing (finish) user_customization-runtime.ssi.po

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Mar 2011 06:47:07 +0100

live-manual (1:3.0~a1-1) unstable; urgency=low

  [ delby ]
  * Correcting negative apt pinning example.

  [ skizzhg ]
  * Translating fuzzy after new content update, italian translation.

  [ Ben Armstrong ]
  * Fixing link to contribute to the manual.

  [ Daniel Baumann ]
  * Correcting debconf preseeding example for user-setup.
  * Adding initial Spanish translation files from Carlos Zuferri chals
    <chals@altorricon.com>.
  * Adding link to Spanish translation on top level html page.
  * Removing some empty lines at EOF.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating copyright file.
  * Dropping version from sisu build-depends, not required anymore.

 -- Daniel Baumann <daniel@debian.org>  Wed, 09 Feb 2011 10:06:56 +0100

live-manual (1:2.0.2-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing missing paren in Reporting bugs chapter.

  [ Carlo Stemberger ]
  * Proof-reading user_examples, Italian translation.
  * Conforming the style of user_example, Italian translation.
  * Fixing the fuzzy/zombie bug: the problem was the "§" character.
  * Unfuzzy live-manual.ssm.po, Italian translation.

  [ Ben Armstrong ]
  * Adding name tags to chapters to eliminate numeric filenames in HTML
    multipage output.
  * Removing 'under heavy construction' from index, as we are now done.
  * Updating languages for commit 7f75631.

 -- Daniel Baumann <daniel@debian.org>  Tue, 25 Jan 2011 07:15:55 +0100

live-manual (1:2.0.1-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing missing blank line which broke code block in Languages and
    tasks section.
  * Removing accidentally committed build.log.
  * Adding more substance to installer customization chapter, plus
    numerous spelling and formatting fixes.

  [ skizzhg ]
  * Updating user_customization-packages.ssi.po, italian translation.

  [ Ben Armstrong ]
  * Adding subsection on customizing installer contents.

  [ skizzhg ]
  * Translating fuzzy after new content update and proofreading, italian
    translation.

  [ Ben Armstrong ]
  * Adding cleanup of sisu output mode to strip nav bars.
  * Adding specific instructions to make standard and live installers
    coexist.

  [ Carlo Stemberger ]
  * Proof-reading user_basics translation in Italian.

  [ Ben Armstrong ]
  * Fixing path to auto script examples in Example 3.

  [ Carlo Stemberger ]
  * Fixing some little typos in user_basics.

  [ skizzhg ]
  * Adding user_customization-runtime.ssi.po, first italian translation.

  [ Ben Armstrong ]
  * Fixing consistent reference to config/ subdirectory in Overview of
    tools.

  [ Lillo Sciascia ]
  * Proofreading user_customization-installer.ssi.po, italian
    translation.

  [ skizzhg ]
  * Adding user_overview.ssi.po, first italian translation.

  [ Lillo Sciascia ]
  * Beginnig additional string user_overview.ssi.po, italian
    translation.

  [ skizzhg ]
  * Translating fuzzy after new content update, italian translation.

  [ Ben Armstrong ]
  * More html content fixes: removal of remaining tables, unwanted toc
    entries.

  [ skizzhg ]
  * Translating fuzzy and proofreading, user_customization-
    packages.ssi.po, italian translation.

  [ Ben Armstrong ]
  * Unhiding top-level headings in 'single page' html output; removing
    empty Development heading.

  [ Carlo Stemberger ]
  * Proof-reading and continuing translation of user_examples, in
    Italian.

  [ Ben Armstrong ]
  * Fixing several inconsistent font style usages throughout the manual,
    mostly 'config/' and 'lb config'.

  [ Daniel Baumann ]
  * Updating example dhcpd.conf for pxe for squeeze.


=== debian/control ===
Source: live-manual
Section: doc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Chris Lamb <lamby@debian.org>, Daniel Baumann <daniel@debian.org>, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
Build-Depends-Indep: sisu-complete, po4a
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-manual/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
Vcs-Git: git://live.debian.net/git/live-manual.git

Package: live-manual
Architecture: all
Depends:
 ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
  live-manual-pdf, live-manual-txt
Description: Debian Live - Documentation (metapackage)
 live-manual contains the documentation for the Debian Live project.
 .
 This package is a metapackage depending on all available output formats.

Package: live-manual-epub
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (epub)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the epub output.

Package: live-manual-html
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (html)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the html output.

Package: live-manual-odf
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (odf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the odf output.

Package: live-manual-pdf
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (pdf)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the pdf output.

Package: live-manual-txt
Architecture: all
Depends: ${misc:Depends}
Description: Debian Live - Documentation (txt)
 live-manual contains the documentation for the Debian Live project.
 .
 This package contains the txt output.

## live-manual 3.0~a3

=== debian/changelog ===
live-manual (1:3.0~a3-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating git instructions.

  [ José Luis Zabalza ]
  * Fixing ,# on ES user_basics.ssi.po

  [ Daniel Baumann ]
  * Adding note about debian-next branch in git instructions.
  * Removing some apparently imported craft.

  [ skizzhg ]
  * Updating after new context and clean some strings that does not need
    translation.

  [ chals ]
  * Fixing sisu metadata in live-manual.ssm.po Spanish translation.

  [ Daniel Baumann ]
  * Updating git call for checking out the debian-next branch.

  [ chals ]
  * Revising user_basics.ssi.po Spanish translation.
  * Revising about_project.ssi.po Spanish translation.
  * Revising project_coding-style.ssi.po Spanish translation.
  * Fixing (again) offending space in user_basics.ssi.po Spanish
    translation.

  [ José Luis Zabalza ]
  * Fixing space ES user_basics.ssi.po
  * Fixing (revised) project_bugs.ssi.po

  [ chals ]
  * Revising project_bugs.ssi.po Spanish translation.
  * Revising user_managing_a_configuration.ssi.po Spanish translation.
  * Revising user_customization-installer.ssi.po Spanish translation.
  * Revising user_examples.ssi.po Spanish translation.
  * Revising user_customization-packages.ssi.po Spanish translation.

  [ Ben Armstrong ]
  * Restructuring and expanding The Basics to focus more on using
    images.
  * Updating USB/HDD sections, integrating better with the rest of the
    chapter.
  * Fixing typo: -b, not --b.

  [ Daniel Baumann ]
  * Adding note about build pace for live-manual on top index page.

  [ chals ]
  * Updating user_basics.ssi.po Spanish translation
  * Revising about_manual.ssi.po Spanish translation
  * Revising project_coding-style.ssi.po Spanish translation.
  * Revising project_procedures.ssi.po Spanish translation.
  * Revising user_customization-binary.ssi.po Spanish translation.

  [ Ben Armstrong ]
  * Fixing broken links spotted by Carlos Zuferri - chals
    <chals@altorricon.com>.

  [ chals ]
  * Fixing links in user_basics.ssi.po Spanish translation.
  * Revising user_customization-overview.ssi.po Spanish translation.
  * Revising user_customization-runtime.ssi.po Spanish translation.
  * Revising user_installation.ssi.po Spanish translation.
  * Revising user_overview.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics, italian translation.

  [ Daniel Baumann ]
  * Disabling Spanish translation for the moment to avoid further build
    problems.
  * Renabling Spanish translation and temporarily not fail on missing
    builds.

  [ chals ]
  * Fixing section in user_basics.ssi.po Spanish translation (Thanks to
    F).

  [ Ben Armstrong ]
  * Fixing minor formatting error: missing trailing number-sign in user
    customization section.

  [ chals ]
  * Fixing formatting error and several typos in user_customization-
    contents.ssi.po Spanish translation.
  * Fixing typos in user_customization-installer.ssi.po Spanish
    translation.
  * Rewording hyphenation problem in user_customization-contents.ssi.po
    Spanish translation (Ben's suggestion).
  * Fixing slash-blank space in live-manual.ssm.po Spanish translation.
  * Deleting unnecessary commas (just in case) in user_customization-
    runtime.ssi.po Spanish translation.
  * Fixing typos and accentuation in user_customization_overview.ssi.po
    Spanish translation.
  * Fixing accentuation and formatting mistakes in
    user_managing_a_configuration.ssi.po Spanish translation.
  * Fixing broken link between user_basics.ssi.po and
    user_examples.ssi.po and other minor fixes Spanish translation.
  * Fixing important difference, gitosis-git in about_manual.ssi.po
    (Spotted by Jose Luis Zabalza) Spanish translation.
  * Fixing accentuation and grammar in about_project.ssi.po and
    user_installation.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics, italian translation

  [ chals ]
  * Checking accentuation and grammar in user_basics.ssi.po and
    project_coding-style.ssi.po Spanish translation.

  [ Bruno Gurgel ]
  * First time using git to send my pt-Br po files

  [ Ben Armstrong ]
  * Clarifying that filename differs when downloaded instead of built.
    (Closes: #622813).

  [ chals ]
  * Updating user_basics.ssi.po Spanish translation.

  [ skizzhg ]
  * Updating user_basics and fixing broken link in user_examples (thanks
    Carlos Zuferri), italian translation

  [ chals ]
  * Fixing grammar in user_overview.ssi.po Spanish translation.
  * Fixing accentuation and links in several po files Spanish
    translation.
  * Fixing formatting error (missing number sign) in user_customization-
    contents.ssi (fuzzy already fixed in es and it).
  * Leaving date string untranslated in live_manual.ssm.po Spanish
    translation (Thanks to skizzhg).

  [ Daniel Baumann ]
  * Updating to standards version 3.9.2.
  * Rewrapping maintainer field in control.
  * Fixing build-problems with German translation stubs.

  [ Ben Armstrong ]
  * Give lb clean overview more substance, mentioning individual stages.

  [ chals ]
  * Updating lb clean overview Spanish translation.
  * Translating and fixing several missing strings in
    about_manual.ssi.po French translation.

  [ skizzhg ]
  * Updating user_overview.ssi.po, italian translation.

  [ Daniel Baumann ]
  * Don't run currently empty test target by default.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 May 2011 18:53:18 +0200

## live-manual 3.0~a4

=== debian/changelog ===
live-manual (1:3.0~a4-1) unstable; urgency=low

  [ chals ]
  * Fixing vocabulary and grammar in about_manual.ssi.po French
    translation.
  * Translating about_project.ssi.po into French.
  * Translating user_installation.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Sat, 11 Jun 2011 14:58:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Debian Live Project <debian-live@lists.debian.org>
-Uploaders: Chris Lamb <lamby@debian.org>, Daniel Baumann <daniel@debian.org>, Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
+Uploaders:
+ Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
+ Daniel Baumann <daniel@debian.org>,
+ Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
 Build-Depends-Indep: sisu-complete, po4a
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
 Vcs-Git: git://live.debian.net/git/live-manual.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_install:
	dh_install --fail-missing

override_dh_compress:
	dh_compress -X.html -X.odt

## live-manual 3.0~a7

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 DEBUG = 0
 
-all: test build
+all: build
 
 test:
 	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
@@ -19,14 +19,14 @@
 		sed -i -e 's|[ \t]*$$||' $${FILE}; \
 	done
 
-#FIXME: do a proper dependency-based build
-#FORMATS = epub html odf pdf txt
-#...
-#%.pdf: $(sisu_sources)
-#	sisu-pdf -v live-manual.ssm
-#etc.
+build:
+	#FIXME: do a proper dependency-based build
+	#FORMATS = epub html odf pdf txt
+	#...
+	#%.pdf: $(sisu_sources)
+	#	sisu-pdf -v live-manual.ssm
+	#etc.
 
-build:
 	@# FIXME: sisu-concordance sisu-pg sisu-sqlite
 	for LANGUAGE in $(LANGUAGES); \
 	do \
@@ -47,7 +47,7 @@
 	rm -rf build
 	cp -a html build
 
-	for LANGUAGE in $(LANGUAGES); \
+	sed +e; for LANGUAGE in $(LANGUAGES); \
 	do \
 		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}/build/$${LANGUAGE}; \
 		TODIR=$(CURDIR)/build/$${LANGUAGE}; \

=== debian/changelog ===
live-manual (1:3.0~a7-1ubuntu0.1) oneiric-proposed; urgency=low

  * fix FTBFS by adding a build dependency on language-pack-en and setting the 
    LC_ALL to en_US.UTF-8 in debian/rules (LP: #831392)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Sat, 03 Mar 2012 21:36:04 -0700

live-manual (1:3.0~a7-1) unstable; urgency=low

  [ chals ]
  * Translating user_customization-overview.ssi.po into French.
  * Deleting redundant use of 'official' in user_customization-
    packages.ssi.
  * Updating Spanish translation.
  * Translating user_customization-packages.ssi.po into French.
  * Translating user_customization-contents.ssi.po into French.

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

  [ swecha ]
  * Adding a section on applying patches.

  [ chals ]
  * Changing the example in apt pinning section to make it work for
    Squeeze and Wheezy.
  * Updating Spanish translation.
  * Updating French translation.
  * Translating user_customization-runtime.ssi.po into French.

  [ skizzhg ]
  * Updating user_customization-packages, italian translation.

 -- Daniel Baumann <daniel@debian.org>  Wed, 24 Aug 2011 19:44:03 +0200

live-manual (1:3.0~a6-1) unstable; urgency=low

  * Renaming live-manual metapackage to live-manuall-all.
  * Adding provides for each output format package.

 -- Daniel Baumann <daniel@debian.org>  Fri, 15 Jul 2011 14:41:19 +0200

live-manual (1:3.0~a5-1) unstable; urgency=low

  [ chals ]
  * Fixing title in section 3.3 live-boot et live-config. French
    translation.

  [ Ben Armstrong ]
  * Added xref to using the space left on a USB stick.

  [ chals ]
  * Translating live-manual.ssm.po into French.

  [ skizzhg ]
  * Updating user_customization-runtime.ssi.po after new context,
    italian translation.

  [ Daniel Baumann ]
  * Making references to debian more distribution neutral.

  [ skizzhg ]
  * Updating and adjusting form user_installation.ssi.po, italian
    translation.
  * Proofreading user_basics.ssi.po, italian translation.

  [ chals ]
  * Deleting unicode symbols found by skizzhg.
  * Translating user_basics.ssi.po into French.
  * Updating Spanish translation.
  * Translating user_overview.ssi.po into French.
  * Fixing section title in user_installation and untranslated string in
    user_overview French translation.
  * Translating user_managing_a_configuration.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jul 2011 10:52:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: live-manual
 Section: doc
 Priority: optional
-Maintainer: Debian Live Project <debian-live@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby
+Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
 Build-Depends-Indep: sisu-complete, po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git
 Vcs-Git: git://live.debian.net/git/live-manual.git
 
-Package: live-manual
+Package: live-manual-all
 Architecture: all
 Depends:
  ${misc:Depends}, live-manual-epub, live-manual-html, live-manual-odf,
@@ -26,6 +27,7 @@
 Package: live-manual-epub
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (epub)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -34,6 +36,7 @@
 Package: live-manual-html
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (html)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -42,6 +45,7 @@
 Package: live-manual-odf
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (odf)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -50,6 +54,7 @@
 Package: live-manual-pdf
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (pdf)
  live-manual contains the documentation for the Debian Live project.
  .
@@ -58,6 +63,7 @@
 Package: live-manual-txt
 Architecture: all
 Depends: ${misc:Depends}
+Provides: live-manual
 Description: Debian Live - Documentation (txt)
  live-manual contains the documentation for the Debian Live project.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh ${@}
+	LC_ALL=en_US.UTF-8 dh ${@}
 
 override_dh_install:
 	dh_install --fail-missing

## live-manual 3.0~a8

=== debian/changelog ===
live-manual (1:3.0~a8-1) unstable; urgency=low

  [ chals ]
  * Adding information about default username and password.
  * Updating Spanish translation.
  * Updating French translation.
  * Fixing code string in user_customization-runtime.
  * Translating newly created link into French and Spanish.

  [ Ben Armstrong ]
  * Eliminate/reduce use of word 'official', which is confusing
    especially as we move into supporting derivatives.

  [ chals ]
  * Updating Spanish translation.
  * Updating French translation.
  * Translating user_customization-binary.ssi.po into French.
  * Deleting tag from project_bugs.ssi.po Spanish translation.
  * Translating the title of the manual into French and thus fixing
    'fuzzy'.

  [ skizzhg ]
  * Updating about_project, user_customization-contents,
    user_customization-runtime. Italian translation.

  [ chals ]
  * Translating user_customization-installer.ssi.po into French.
  * Translating project_bugs.ssi.po into French.
  * Translating project_coding-style.ssi.po into French.
  * Fixing broken link in user_customization-installer French.
  * Translating project_procedures.ssi.po into French.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Sep 2011 14:53:41 +0200

## live-manual 3.0~a9

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = en $(shell cd manual/po && ls)

DEBUG = 0

all: build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

build:
	#FIXME: do a proper dependency-based build
	#FORMATS = epub html odf pdf txt
	#...
	#%.pdf: $(sisu_sources)
	#	sisu-pdf -v live-manual.ssm
	#etc.

	@# FIXME: sisu-concordance sisu-pg sisu-sqlite
	for LANGUAGE in $(LANGUAGES); \
	do \
		cd $(CURDIR)/manual/$${LANGUAGE}; \
		sisu-epub -v live-manual.ssm; \
		sisu-html -v live-manual.ssm; \
		sisu-odf -v live-manual.ssm; \
		sisu-pdf -v live-manual.ssm; \
		sisu-txt -v live-manual.ssm; \
	done
#               for FILE in build/manual/live-manual/*.$${LANGUAGE}.html; \
#		do \
#			../bin/fix-sisu-html.rb $${FILE}; \
#			([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
#		done; \

autobuild: clean build
	rm -rf build
	cp -a html build
	cp -a manual/en/_sisu build

	set +e; for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}/build/manual; \
		TODIR=$(CURDIR)/build; \
		mkdir -p $${TODIR}; \
		cd $${TODIR}; \
		mkdir -p epub; \
		cp $${FROMDIR}/epub/live-manual.$${LANGUAGE}.epub epub; \
		mkdir -p html; \
		cp $${FROMDIR}/live-manual/*.$${LANGUAGE}.html html; \
		mv html/scroll.$${LANGUAGE}.html html/live-manual.$${LANGUAGE}.html; \
		rm -f html/toc.$${LANGUAGE}.html html/sisu_manifest.$${LANGUAGE}.html html/metadata.$${LANGUAGE}.html; \
		mkdir -p odf; \
		cp $${FROMDIR}/live-manual/opendocument.$${LANGUAGE}.odt odf/live-manual.$${LANGUAGE}.odt; \
		mkdir -p pdf; \
		cp $${FROMDIR}/live-manual/landscape.$${LANGUAGE}.a4.pdf pdf/live-manual.landscape-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.$${LANGUAGE}.a4.pdf pdf/live-manual.portrait-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/landscape.$${LANGUAGE}.letter.pdf pdf/live-manual.landscape-letter.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.$${LANGUAGE}.letter.pdf pdf/live-manual.portrait-letter.$${LANGUAGE}.pdf; \
		mkdir -p txt; \
		cp $${FROMDIR}/live-manual/plain.$${LANGUAGE}.txt txt/live-manual.$${LANGUAGE}.txt; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		    $${FROMDIR}/../../index.html.in > index.$${LANGUAGE}.html; \
	done

commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "Please fix fuzzy in manual/po/* first."; \
		exit 1; \
	fi

	@echo
	@echo "Successful... please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -a -m \"Your commit message.\""
	@echo "  * git push"

install:

	for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}/build/manual; \
		TODIR=$(DESTDIR)/usr/share/doc/live-manual; \
		mkdir -p $${TODIR}; \
		cd $${TODIR}; \
		mkdir -p epub; \
		cp $${FROMDIR}/epub/live-manual.$${LANGUAGE}.epub epub; \
		mkdir -p html; \
		cp $${FROMDIR}/live-manual/*.$${LANGUAGE}.html html; \
		mv html/scroll.$${LANGUAGE}.html html/live-manual.$${LANGUAGE}.html; \
		rm -f html/toc.$${LANGUAGE}.html html/sisu_manifest.$${LANGUAGE}.html html/metadata.$${LANGUAGE}.html; \
		mkdir -p odf; \
		cp $${FROMDIR}/live-manual/opendocument.$${LANGUAGE}.odt odf/live-manual.$${LANGUAGE}.odt; \
		mkdir -p txt; \
		cp $${FROMDIR}/live-manual/plain.$${LANGUAGE}.txt txt/live-manual.$${LANGUAGE}.txt; \
		mkdir -p pdf; \
		cp $${FROMDIR}/live-manual/landscape.$${LANGUAGE}.a4.pdf pdf/live-manual.landscape-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.$${LANGUAGE}.a4.pdf pdf/live-manual.portrait-a4.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/landscape.$${LANGUAGE}.letter.pdf pdf/live-manual.landscape-letter.$${LANGUAGE}.pdf; \
		cp $${FROMDIR}/live-manual/portrait.$${LANGUAGE}.letter.pdf pdf/live-manual.portrait-letter.$${LANGUAGE}.pdf; \
	done

	cp -a manual/en/_sisu $(DESTDIR)/usr/share/doc/live-manual

uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf manual/*/build

distclean: clean
	rm -rf build

rebuild: distclean build

=== manual/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	then \
 		echo "E: po4a - command not found"; \
 		echo "I: po4a can be optained from http://po4a.alioth.debian.org/"; \
-		echo "I: On Debian systems, po4a can be installed with 'apt-get install po4a'."; \
+		echo "I: On Debian based systems, po4a can be installed with 'apt-get install po4a'."; \
 		exit 1; \
 	fi

=== debian/changelog ===
live-manual (1:3.0~a9-1ubuntu1) precise; urgency=low

  * fix FTBFS by adding a dependency on language-pack-en and setting the 
    LC_ALL to en_US.UTF-8 (LP: #831392)

 -- Matthew Fischer <matthew.fischer@canonical.com>  Sat, 03 Mar 2012 21:36:04 -0700

live-manual (1:3.0~a9-1) unstable; urgency=low

  [ chals ]
  * Translating user_examples.ssi.po into French.

  [ Ben Armstrong ]
  * Mentioning new live-boot-doc and live-config-doc packages can be
    installed separately.
  * Updating --repository option to --archives.

  [ chals ]
  * Updating Spanish translation.
  * Updating French translation.

  [ Daniel Baumann ]
  * Using compression level 9 also for binary packages.

  [ skizzhg ]
  * Updating user_installation, italian translation.

  [ chals ]
  * Revising about_manual French translation.
  * Revising about_project French translation.
  * Revising user_installation French translation.

  [ Ben Armstrong ]
  * Updating all mirror options & variables to refer to parent mirror.

  [ chals ]
  * Updating Spanish translation (parent mirrors).
  * Updating French translation (parent mirrors).

  [ Ben Armstrong ]
  * Updating for 3.x, package lists.
  * Reverting to gnome instead of gnome-core in examples, as it is a
    "happier" list.
  * Fixing consistent spacing for shell appends in examples.

  [ chals ]
  * Updating Spanish translation (package lists).
  * Updating French translation (package lists).
  * Fixing minor formatting error and correcting it in the es po.
  * Translating three strings in the fr po.

  [ Daniel Baumann ]
  * Sorting overrides in rules alphabetically.

  [ Ben Armstrong ]
  * Updating to 3.x, tasks.

  [ chals ]
  * Updating Spanish translation (tasks).
  * Updating French translation (tasks).

  [ Ben Armstrong ]
  * Updating to 3.x, reamining tasks references.

  [ chals ]
  * Updating Spanish translation (remaining tasks references).
  * Updating French translation (remaining tasks references).

  [ Ben Armstrong ]
  * Fixing incorrect task-lists directory reference.

  [ chals ]
  * Fixing es po after Ben's changes.

  [ Ben Armstrong ]
  * Updating for 3.x, no virtual package lists and automatic tasksel
    desktop selection.

  [ chals ]
  * Translating strings in the examples and the customization of
    packages, Spanish.
  * Translating the same, but in French.

  [ Ben Armstrong ]
  * Fixing typo in 'set +e', autobuild target.
  * Updating for 3.x, 686-pae kernel supercedes 686.
  * Removing directory tree in favour of elsewhere explaining each
    subdirectory's purpose.
  * Updating to 3.x, includes.
  * Updating to 3.x, APT indices.
  * Updating for wheezy/sid, tasksel has no descriptions and data has
    moved.
  * Updating translation strings for recent commits.

  [ chals ]
  * Updating Spanish translation.

  [ Daniel Baumann ]
  * Replacing mentioning of squeeze with wheezy where appropriate.
  * Updating German translation for index.html.
  * Translating live-manual.ssm to German.

  [ chals ]
  * Translating remaining bits in the Spanish translation.

  [ Ben Armstrong ]
  * Updating to 3.x, archives.

  [ chals ]
  * Updating es and fr po files to 3.x archives.

  [ Ben Armstrong ]
  * Updating to 3.x, chroot packages.
  * Updating to 3.x, hooks and preseeding.
  * Catching up language strings for last couple of commits.
  * Updating to 3.x, udebs.

  [ Daniel Baumann ]
  * Temporarily disabling fix-sisu-html.rb until it's updated for newer
    sisu versions.
  * Bumping build-depends on sisu to version 3.

  [ Ben Armstrong ]
  * Updating make and HTML indices for sisu 3.x.

  [ chals ]
  * Updating Spanish translation of user_customization.
  * Updating French translation of user_customization.
  * Making explanation and example match replacing 'xtightvncviever' for
    'xvnc4viewer' and fixing redirection spacing
  * Updating Spanish translation and fixing error --packages-lists.
  * Updating French translation.
  * Fixing @date in German translation.
  * Fixing links in the po files for es, fr, it and pt_BR.
  * Fixing @title in the German translation.
  * Fixing fuzzy strings in Romanian about_project.ssi.po thanks to
    Creatura85 and changing the links to the ro translation (temporary
    fix).
  * Adding a short note about translations.
  * Updating French and Spanish notes on translations.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Dec 2011 10:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
 Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
-Build-Depends-Indep: sisu-complete, po4a
+Build-Depends-Indep: sisu-complete (>= 3), po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
 Vcs-Browser: http://live.debian.net/gitweb/?p=live-manual.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	LC_ALL=en_US.UTF-8 dh ${@}

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_compress:
	dh_compress -X.html -X.odt

override_dh_install:
	dh_install --fail-missing

## live-manual 3.0~a10

=== Makefile ===
# Makefile

SHELL := sh -e

LANGUAGES = en $(shell cd manual/po && ls)

FORMATS = epub html odf pdf txt

DEBUG = 0

all: build

test:
	@echo "Checking for syntax errors... [not implemented yet - FIXME]"
	@echo "Checking for spelling errors... [not implemented yet - FIXME]"

tidy:
	# Removing useless whitespaces at EOL
	for FILE in manual/en/*.ssm manual/en/*.ssi; \
	do \
		sed -i -e 's|[ \t]*$$||' $${FILE}; \
	done

build: clean
	#FIXME: do a proper dependency-based build
	#FORMATS = epub html odf pdf txt
	#...
	#%.pdf: $(sisu_sources)
	#	sisu-pdf -v live-manual.ssm
	#etc.

	@# FIXME: sisu-concordance sisu-pg sisu-sqlite

	cd $(CURDIR)/manual; \
	sisu --configure
	for LANGUAGE in $(LANGUAGES); \
	do \
		for FORMAT in $(FORMATS); \
		do \
			cd $(CURDIR)/manual; \
			sisu-$${FORMAT} -v $${LANGUAGE}/live-manual.ssm; \
			if [ "$${FORMAT}" = "html" ] ; \
			then \
			    for FILE in ../build/manual/html/*.$${LANGUAGE}.html ../build/manual/html/live-manual/*.$${LANGUAGE}.html; \
			    do \
				    bin/fix-sisu-html.rb $${FILE}; \
				    ([ $(DEBUG) -gt 0 ] || rm -f $${FILE}~); \
			    done; \
			fi ; \
		done; \
	done; \


autobuild: build	
	
	cd build/manual && rm -rf manifest toc.html; \
	
	set +e; for LANGUAGE in $(LANGUAGES); \
	do \
		FROMDIR=$(CURDIR)/manual/$${LANGUAGE}; \
		TODIR=$(CURDIR)/build/manual; \
		cp $${FROMDIR}/index.html.in $${TODIR}; \
		sed -e "s|@DATE_BUILD@|$(shell LC_ALL=C date -R)|" \
		    -e "s|@DATE_CHANGE@|$(shell LC_ALL=C git log | grep -m1 Date | awk -FDate: '{ print $2 }' | sed -e 's|  ||g')|" \
		$${TODIR}/index.html.in > $${TODIR}/index.$${LANGUAGE}.html; \
		rm $${TODIR}/index.html.in; \
	done
	
commit: tidy test
	$(MAKE) -C manual rebuild

	@if grep -qs fuzzy manual/po/*/*; \
	then \
		echo "Please fix fuzzy in manual/po/* first."; \
		exit 1; \
	fi

	@echo
	@echo "Successful... please do:"
	@echo
	@echo "  * git add ."
	@echo "  * git commit -a -m \"Your commit message.\""
	@echo "  * git push"

install:
		FROMDIR=$(CURDIR)/build/manual; \
		TODIR=$(DESTDIR)/usr/share/doc/live-manual; \
	cd $${FROMDIR} && rm -rf manifest index.html toc.html; \
	mkdir -p $${TODIR}; \
	cp -a $(CURDIR)/build/manual/* $(DESTDIR)/usr/share/doc/live-manual	
	


uninstall:
	rm -rf $(DESTDIR)/usr/share/doc/live-manual

clean:
	rm -rf build
	rm -f manual/en/*~

distclean: clean
	rm -rf build

rebuild: distclean build

=== debian/changelog ===
live-manual (1:3.0~a10-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Clarifying that the first three sections of current chapter are
    required reading for 'the impatient'.

  [ chals ]
  * Updating Spanish and French translations of about_manual.

  [ skizzhg ]
  * Updating italian translation.
  * Updating index.html, italian translation.

  [ chals ]
  * Rearranging things to work with sisu3, thanks to Ben Armstrong and
    Ralph Amissah.
  * Switching from 'language' to 'filetype' output.
  * Fixing 'install' target so that debs build properly.
  * Updating links to 'pdf' files and to 'toc'.
  * Updating links in all available languages.
  * Fixing 'Last-Translator' fields and adding skizzhg to the Italian
    index.

  [ Daniel Baumann ]
  * Updating German translation for index page.

  [ chals ]
  * Renaming section 1.4.1 and adding 'git add .' to instructions.
  * Updating 'es' and 'fr'.
  * Fixing space in <<END.

  [ Daniel Baumann ]
  * Updating gpg key filename for local archive definitions, thanks to
    Sébastien Villemot <sebastien.villemot@ens.fr> (Closes: #653492).

  [ chals ]
  * Fixing another <<END in the apt pinning section.
  * Updating the year of the license to 2012 in the transalation po
    files (de, fr, es, it).
  * Redirecting #how-to-contribute link to its right location.
  * Removing backup of index.html.in~, it could be added to the clean
    target.

  [ skizzhg ]
  * Updating about_manual, italian translation.

  [ Ben Armstrong ]
  * Renaming usb-hdd image type to hdd. (Closes: #655360).

  [ chals ]
  * Updating 'es' and 'fr' translations after 'usb-hdd' renaming.
  * Updating user_basics, Spanish translation.
  * Updating the bootloader section to 3.x, thanks to Ben Armstrong for
    the alternative method and help with the syntax (Closes: #651457).
  * Updating bootloaders section, Spanish translation.
  * Updating bootloaders section, French translation.
  * Fixing small formatting error in 'en' that only affected the
    translations.

  [ Ben Armstrong ]
  * Reverting to using non-parent mirror options since that now works in
    latest release.

  [ chals ]
  * Updating 'es' and 'fr', parent-mirrors.
  * Fixing typo and removing commented lines in manual/makefile.
  * Adding rm -f manual/en/*~ to clean target.
  * Adding functionality to build by document type, eg. FORMATS=pdf.
  * Explaining FORMATS= in the doc.
  * Updating 'es' and 'fr' translations of new functionality.

  [ Ben Armstrong ]
  * Reinstate html format postprocessing; remove redundant sisu manifest
    run.
  * Update build dep for nokogiri, as old one is now a transitional
    package.

  [ chals ]
  * Adding missing preposition in Spanish translation.
  * Clarifying section 1.4.2 Translation.
  * Updating 'es' and 'fr' translations.
  * Removing strange unicode symbols, again only spotted using vim.

  [ skizzhg ]
  * Updating italian translation.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:39:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: live-manual
 Section: doc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Live Project <debian-live@lists.debian.org>
+Maintainer: Debian Live Project <debian-live@lists.debian.org>
 Uploaders:
  Ben Armstrong <synrg@sanctuary.nslug.ns.ca>,
  Daniel Baumann <daniel@debian.org>,
  Chris Lamb <lamby@debian.org>
-Build-Depends: debhelper (>= 8), ruby, libnokogiri-ruby, language-pack-en
+Build-Depends: debhelper (>= 8), ruby, ruby-nokogiri
 Build-Depends-Indep: sisu-complete (>= 3), po4a
 Standards-Version: 3.9.2
 Homepage: http://live.debian.net/devel/live-manual/
